VERSION 5.00
Begin VB.Form TimeIntegratedFEA 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Time Integrated Structural Analysis"
   ClientHeight    =   4452
   ClientLeft      =   48
   ClientTop       =   336
   ClientWidth     =   4680
   BeginProperty Font 
      Name            =   "Arial"
      Size            =   10.2
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4452
   ScaleWidth      =   4680
   Begin VB.CommandButton CancelButton 
      Caption         =   "Cancel"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   7.8
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   240
      TabIndex        =   1
      Top             =   3960
      Width           =   1215
   End
   Begin VB.CommandButton NextButton 
      Caption         =   "Next"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   7.8
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   3240
      TabIndex        =   0
      Top             =   3960
      Width           =   1215
   End
   Begin VB.Label Label3 
      Caption         =   $"DynamicFEA.frx":0000
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1452
      Left            =   240
      TabIndex        =   4
      Top             =   2400
      Width           =   4092
   End
   Begin VB.Label Label2 
      Caption         =   "Dynamic loadings in model joints are translated into distributed loadings at the joint interfaces. "
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1212
      Left            =   240
      TabIndex        =   3
      Top             =   1200
      Width           =   3972
   End
   Begin VB.Label Label1 
      Caption         =   "visualNastran Desktop allows you to carry out structural analysis of models in motion."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   732
      Left            =   240
      TabIndex        =   2
      Top             =   240
      Width           =   4092
   End
End
Attribute VB_Name = "TimeIntegratedFEA"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit

Private Sub CancelButton_Click()
    Unload TimeIntegratedFEA
    CancelOut.Show
End Sub

Private Sub NextButton_Click()
    Dim doc As Object
    Set doc = wm.ActiveDocument
    If (doc Is Nothing) = False Then
        doc.Close False
    End If
    Unload TimeIntegratedFEA
    CollisionWithFEA.Show
End Sub

Private Sub Form_Load()
    ' Close all the existing documents first
    Dim doc As Object
    Set doc = wm.ActiveDocument
    While (doc Is Nothing) = False
        doc.Close False
        Set doc = wm.ActiveDocument
    Wend
    ' Open a sample document
    Set doc = wm.Documents.Open(currentDir + "DemoFiles\piston.wm3")
    wm.Tile
    If (doc Is Nothing) = False Then
        doc.Run
    End If
End Sub

