function outinfo = siminfo_vn4d

%===========================
%     MSC.visualNastran 4D - modify this file to add demo files
%===========================

simList.Name='MSC.visualNastran 4D';

simList.Help= ...
           {' MSC.visualNastran 4D and Simulink combine to provide   '
            ' the industry standard toolset in mechanical device    '
            ' control simulation.'};

simList.DemoList = {
    'Open-Loop Interval Windshield Wiper Controller'
    'Bouncing Ball'
	 'Overhead Crane'
    'Overhead Crane with PID Controller'
    'Overhead Crane with additional positioning axis'
    'Inverted Pendulum (bat)'
    'Simulink''s "Inverted pendulum" controller with vN4D plant'
};

simList.FcnList = {
            'wipers'
            'ball'
            'crane_pd'
            'crane'
            'TwoWayCrane'
            'invertedbat'
            'InvertedPendulum_vN4D'
};

outinfo = simList;
