VERSION 5.00
Begin VB.Form CollisionWithFEA 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Structural Analysis during Collisions"
   ClientHeight    =   3192
   ClientLeft      =   96
   ClientTop       =   288
   ClientWidth     =   4632
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3192
   ScaleWidth      =   4632
   Begin VB.CommandButton CancelButton 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   240
      TabIndex        =   1
      Top             =   2640
      Width           =   1215
   End
   Begin VB.CommandButton NextButton 
      Caption         =   "Next"
      Default         =   -1  'True
      Height          =   375
      Left            =   3240
      TabIndex        =   0
      Top             =   2640
      Width           =   1215
   End
   Begin VB.Label Label2 
      Caption         =   "In this example, a snap latch is moved past a spring loaded roller, which is supported only at one end. "
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1092
      Left            =   240
      TabIndex        =   3
      Top             =   1440
      Width           =   4092
   End
   Begin VB.Label Label1 
      Caption         =   "In visualNastran Desktop, a time integrated structural analysis can be carried out on parts coming into contact."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1092
      Left            =   240
      TabIndex        =   2
      Top             =   240
      Width           =   3972
   End
End
Attribute VB_Name = "CollisionWithFEA"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit

Private Sub CancelButton_Click()
    Unload CollisionWithFEA
    CancelOut.Show
    
End Sub

Private Sub Form_Load()
    ' Close all the existing documents first
    Dim doc As Object
    Set doc = wm.ActiveDocument
    While (doc Is Nothing) = False
        doc.Close False
        Set doc = wm.ActiveDocument
    Wend
    ' Open a sample document
    Set doc = wm.Documents.Open(currentDir + "DemoFiles\psnapwithroller.wm3")
    wm.Tile
    If (doc Is Nothing) = False Then
        doc.Run
    End If
End Sub

Private Sub NextButton_Click()
    Dim doc As Object
    Set doc = wm.ActiveDocument
    If (doc Is Nothing) = False Then
        doc.Close False
    End If
    Unload CollisionWithFEA
    Hadaptivity.Show
    'Hadaptivity.ZOrder    ' brings the dialog to front

End Sub
