VERSION 5.00
Begin VB.Form Vectors 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Showing Vectors"
   ClientHeight    =   6405
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4680
   ControlBox      =   0   'False
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   9.75
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   6405
   ScaleWidth      =   4680
   Begin VB.CommandButton Cancel 
      Caption         =   "&Cancel"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   1800
      TabIndex        =   8
      Top             =   5880
      Width           =   975
   End
   Begin VB.CommandButton NextButton 
      Caption         =   "Next"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   3360
      TabIndex        =   2
      Top             =   5880
      Width           =   1095
   End
   Begin VB.CommandButton ShowMe 
      Caption         =   "Show Me!"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   240
      TabIndex        =   1
      Top             =   5880
      Width           =   1095
   End
   Begin VB.Label Label7 
      Caption         =   "The Vectors tab appears in the property sheet."
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   492
      Left            =   480
      TabIndex        =   10
      Top             =   3360
      Width           =   3612
   End
   Begin VB.Label Label6 
      Caption         =   "2. Activate the Vectors checkbox in the Properties window at the lower left corner of the screen."
      Height          =   732
      Left            =   240
      TabIndex        =   9
      Top             =   2520
      Width           =   4092
   End
   Begin VB.Label Label5 
      Caption         =   "5. Click the Run button to start the simulation."
      Height          =   492
      Left            =   240
      TabIndex        =   7
      Top             =   5160
      Width           =   4092
   End
   Begin VB.Label Label3 
      Caption         =   "4. Click Velocity and Acceleration checkboxes."
      Height          =   492
      Left            =   240
      TabIndex        =   5
      Top             =   4560
      Width           =   4092
   End
   Begin VB.Label Label2 
      Caption         =   "3. Select the Vectors tab in the Property sheet."
      Height          =   492
      Left            =   240
      TabIndex        =   4
      Top             =   3960
      Width           =   4092
   End
   Begin VB.Label Label1 
      Caption         =   "1. Double-click the loader bucket object."
      Height          =   492
      Left            =   240
      TabIndex        =   3
      Top             =   1560
      Width           =   4092
   End
   Begin VB.Label text 
      Caption         =   $"Vectors.frx":0000
      Height          =   1332
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   4092
   End
   Begin VB.Label Label4 
      Caption         =   "The property sheet for the body appears."
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   492
      Left            =   480
      TabIndex        =   6
      Top             =   2040
      Width           =   3612
   End
End
Attribute VB_Name = "Vectors"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Cancel_Click()
   CancelOut.Show
   Unload Vectors
End Sub

Private Sub NextButton_Click()
    Set doc = wm.ActiveDocument
    If (doc Is Nothing) = False Then
        doc.Close False
    End If
'    If (Enabled) Then
'       wm.ActiveDocument.Close False
        FEA.Show
        Unload Vectors
        'ExitForm.Show
   ' End If
End Sub

Private Sub ShowMe_Click()
    NextButton.Enabled = False
    Dim b As Object
    Dim doc As Object
    Set doc = wm.ActiveDocument
    If (doc Is Nothing) = False Then
        Set b = doc.Bodies("Loader Bucket")
        b.ShowVector(1414) = True   ' wmVectorVelocity
        b.ShowVector(1392) = True   ' wmVectorAcceleration
        
        doc.RunTo 50
        doc.Reset
    End If
    NextButton.Enabled = True
End Sub
