VERSION 5.00
Begin VB.Form Vibration 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Nastran Vibrational Analysis"
   ClientHeight    =   4332
   ClientLeft      =   48
   ClientTop       =   336
   ClientWidth     =   4680
   BeginProperty Font 
      Name            =   "Arial"
      Size            =   10.2
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4332
   ScaleWidth      =   4680
   Begin VB.CommandButton Mode5 
      Caption         =   "Show Mode 5"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   7.8
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   240
      TabIndex        =   5
      Top             =   3840
      Width           =   1332
   End
   Begin VB.CommandButton CancelButton 
      Caption         =   "Cancel"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   7.8
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   1800
      TabIndex        =   1
      Top             =   3840
      Width           =   1215
   End
   Begin VB.CommandButton NextButton 
      Caption         =   "Next"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   7.8
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   3240
      TabIndex        =   0
      Top             =   3840
      Width           =   1215
   End
   Begin VB.Label Label3 
      Caption         =   $"Vibration.frx":0000
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1452
      Left            =   240
      TabIndex        =   4
      Top             =   2160
      Width           =   4092
   End
   Begin VB.Label Label2 
      Caption         =   "Displayed here is the fundamental mode of vibration."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   972
      Left            =   240
      TabIndex        =   3
      Top             =   1320
      Width           =   4212
   End
   Begin VB.Label Label1 
      Caption         =   "visualNastran Desktop includes MSC.Nastran vibrational analysis tools."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   852
      Left            =   240
      TabIndex        =   2
      Top             =   360
      Width           =   4092
   End
End
Attribute VB_Name = "Vibration"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit

Private Sub CancelButton_Click()
    CancelOut.Show
    Unload Vibration
End Sub

Private Sub Mode5_Click()
    ' Close all the existing documents first
    Dim doc As Object
    Set doc = wm.ActiveDocument
    While (doc Is Nothing) = False
        doc.Close False
        Set doc = wm.ActiveDocument
    Wend
    ' Open a sample document
    Set doc = wm.Documents.Open(currentDir + "DemoFiles\arm15.mode5.wm3")
    wm.Tile
    If (doc Is Nothing) = False Then
        doc.Run
    End If
End Sub

Private Sub NextButton_Click()
    Dim doc As Object
    Set doc = wm.ActiveDocument
    If (doc Is Nothing) = False Then
        doc.Close False
    End If
    Unload Vibration
    TimeIntegratedFEA.Show
End Sub

Private Sub Form_Load()
    ' Close all the existing documents first
    Dim doc As Object
    Set doc = wm.ActiveDocument
    While (doc Is Nothing) = False
        doc.Close False
        Set doc = wm.ActiveDocument
    Wend
    ' Open a sample document
    Set doc = wm.Documents.Open(currentDir + "DemoFiles\arm15.wm3")
    wm.Tile
    If (doc Is Nothing) = False Then
        doc.Run
    End If
End Sub

