VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form Intro 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "visualNastran Dekstop Slide Show"
   ClientHeight    =   2445
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4245
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2445
   ScaleWidth      =   4245
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton HelpButton 
      Caption         =   "Help"
      Height          =   375
      Left            =   1560
      TabIndex        =   7
      Top             =   1920
      Width           =   1215
   End
   Begin VB.CheckBox RepeatCheckbox 
      Caption         =   "Repeat indefinitely"
      Height          =   255
      Left            =   480
      TabIndex        =   6
      ToolTipText     =   "Repeats the slide show indefinitely"
      Top             =   1320
      Value           =   1  'Checked
      Width           =   3495
   End
   Begin VB.CommandButton CancelButton 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2880
      TabIndex        =   5
      ToolTipText     =   "Exits the slide show script"
      Top             =   1920
      Width           =   1215
   End
   Begin VB.CommandButton StartButton 
      Caption         =   "Start"
      Default         =   -1  'True
      Height          =   375
      Left            =   240
      TabIndex        =   2
      ToolTipText     =   "Starts the slide show"
      Top             =   1920
      Width           =   1215
   End
   Begin VB.CommandButton BrowseButton 
      Caption         =   "..."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   315
      Left            =   3600
      TabIndex        =   1
      ToolTipText     =   "Browse button"
      Top             =   480
      Width           =   375
   End
   Begin VB.TextBox FilePath 
      Height          =   315
      Left            =   480
      TabIndex        =   0
      Text            =   "Text1"
      ToolTipText     =   "Folder in which Slide Show iterates Working Model 3D files"
      Top             =   480
      Width           =   3015
   End
   Begin VB.Frame Frame1 
      Caption         =   "Specify Folder"
      Height          =   1575
      Left            =   240
      TabIndex        =   3
      Top             =   120
      Width           =   3855
      Begin MSComDlg.CommonDialog ComDlg 
         Left            =   2760
         Top             =   0
         _ExtentX        =   847
         _ExtentY        =   847
         _Version        =   393216
      End
      Begin VB.CheckBox RecursiveCheckBox 
         Caption         =   "Play files in subfolders"
         Height          =   255
         Left            =   240
         TabIndex        =   4
         ToolTipText     =   "Slide show searches the specified folder recursively"
         Top             =   840
         Width           =   3495
      End
   End
End
Attribute VB_Name = "Intro"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub BrowseButton_Click()
    DirSpec.Show
End Sub

Private Sub CancelButton_Click()
    Unload Me
    Exit Sub
End Sub

Private Sub Form_Activate()
    FilePath.Text = gPath
End Sub

Private Sub HelpButton_Click()
    ComDlg.HelpFile = App.Path + "\SlideSho.hlp"
    ComDlg.HelpCommand = cdlHelpContents
    ComDlg.ShowHelp  ' Display Visual Basic Help contents topic.
End Sub

Private Sub RecursiveCheckBox_Click()
    If RecursiveCheckBox.Value = vbChecked Then
        gRecursive = True
    Else
        gRecursive = False
    End If
End Sub

Private Sub RepeatCheckbox_Click()
    If RepeatCheckbox.Value = vbChecked Then
        gRepeatForever = True
    Else
        gRepeatForever = False
    End If
End Sub

Private Sub StartButton_Click()
    Unload Me
    StartSlideShow
End Sub
